[@rxap/material-table-system](../wiki/globals) / TableRowActionTypeSwitchMethod

# Type Alias: TableRowActionTypeSwitchMethod\<Data\>

> **TableRowActionTypeSwitchMethod**\<`Data`\>: `Method`\<`any`, \{ `element`: `Data`; `type`: `string`; \}\>

Defined in: [packages/angular/material/table-system/src/lib/table-row-actions/types.ts:9](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-actions/types.ts#L9)

## Type Parameters

• **Data**
